<div class="col-lg-12 animated fadeInRight">
    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-lg-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h3>
                            <strong>Manage Vehicles</strong>
                        </h3>

                        <div class="fm-row">
                            <div class="row">
                                <div class="col-xs-4">
                                    <input matInput placeholder="Select Vehicle Model"
                                        class="form-control custom-class-border" name="vehicle_model_id"
                                        (ngModelChange)="searchVehicleModel($event)" [(ngModel)]="vehicle_model_id"
                                        aria-label="Vehicle" [matAutocomplete]="model">
                                    <img *ngIf="loadingIndicator == 'searchVehicleModel'" class="loading_indicator"
                                        src="assets/img/loading.gif" alt="loader"/>
                                    <mat-autocomplete #model="matAutocomplete" [displayWith]="displayFnVehicleModel">
                                        <mat-option *ngFor="let vehicleModel of vehicleModelData"
                                            [value]="vehicleModel">
                                            <span class="img-otr">
                                                <img style="vertical-align:middle;" aria-hidden
                                                    src="{{vehicleModel.vehicle_image?imageurl + '/uploads/vehiclemodels/' + vehicleModel.vehicle_image:'../../assets/img/vehicle.jpeg'}}"
                                                    height="25" alt="profile pic"/>
                                            </span>
                                            <div class="option-otr">
                                                <div class="option_span">{{ vehicleModel.name }}</div>
                                            </div>
                                        </mat-option>
                                        <mat-option *ngIf="vehicleModelData == '' && vehicleModelData.length == 0">No
                                            Matches Found</mat-option>
                                    </mat-autocomplete>
                                </div>
                                <div class="col-xs-4">
                                    <input [(ngModel)]="vehicleForm" matInput placeholder="Select Vehicle"
                                        class="form-control custom-class-border" name="vehicle_id"
                                        (ngModelChange)="searchVehicle($event)" [formControl]="queryField"
                                        aria-label="Vehicle" [matAutocomplete]="Vehicles">
                                    <img *ngIf="loadingIndicator == 'searchVehicle'" class="loading_indicator"
                                        src="assets/img/loading.gif" alt="loader"/>
                                    <mat-autocomplete #Vehicles="matAutocomplete" [displayWith]="displayFnVehicles">
                                        <mat-option *ngFor="let vehicle of vehiclesListing" [value]="vehicle">
                                            <span class="img-otr">
                                                <img style="vertical-align:middle;" aria-hidden
                                                    src="{{vehicle.vehicle_model_id.vehicle_image ? imageurl + '/uploads/vehiclemodels/' + vehicle.vehicle_model_id.vehicle_image : '../../assets/img/vehicle.jpeg'}}"
                                                    height="25" alt="profile pic"/>
                                            </span>
                                            <div class="option-otr">
                                                <div class="option_span">{{ vehicle.vehicle_identity_number }} </div>
                                                <div class="option_span">{{ vehicle.registration_number }} </div>
                                                <div class="option_span">{{ vehicle.display_name }} </div>
                                            </div>
                                        </mat-option>
                                        <mat-option *ngIf="vehiclesListing == '' && vehiclesListing.length == 0">No
                                            Matches Found</mat-option>
                                    </mat-autocomplete>
                                </div>
                                <div class="col-xs-4" *ngIf="dtc">
                                    <mat-select [(ngModel)]="companyIdFilter" placeholder="Company"
                                        (change)="changeCompany()" class="form-control" multiple>
                                        <mat-option value="all" (click)="selectAllCompany()">All</mat-option>
                                        <mat-option (click)="companyManualSelect()" *ngFor="let company of companyData"
                                            [value]="company._id">
                                            {{company.company_name}}
                                        </mat-option>
                                    </mat-select>
                                </div>
                            </div>
                            <br />
                            <div class="fm-row">
                                <div class="row">
                                    <div class="col-xs-4">
                                        <mat-select [(ngModel)]="vehicleStatus" placeholder="Vehicle status"
                                            class="form-control" multiple>
                                            <mat-option value="A">Active
                                            </mat-option>
                                            <mat-option value="D">Disposed
                                            </mat-option>
                                            <mat-option value="M">Maintenance
                                            </mat-option>
                                            <mat-option value="AC">Accident
                                            </mat-option>
                                            <mat-option value="Y">In Yard
                                            </mat-option>
                                        </mat-select>
                                    </div>
                                    <div class="col-xs-8 text-right">
                                        <ng-container *ngIf="downloads">
                                            <span matTooltip="CSV" style="cursor: pointer">
                                                <img src="assets/img/csv.png" (click)="createCsv()" alt="profile csv"/>
                                            </span>
                                        </ng-container>
                                        <button type="get" (click)="searchVehicles();"
                                            class="btn btn-sm btn-primary blue"><i aria-hidden="true" class="fa fa-search"></i>
                                            Search</button>
                                        <button class="btn btn-sm btn-primary green" (click)="refresh()"><i aria-hidden="true"
                                                class="fa fa-refresh"></i>
                                            Refresh</button>
                                        <button class="btn btn-sm btn-primary red" (click)="reset()"><i aria-hidden="true"
                                                class="fa fa-eraser"></i>
                                            Reset filters</button>
                                        <ng-container *ngIf="aclAdd">
                                            <button type="button" class="btn btn-primary btn-sm blue"
                                                [routerLink]="['/admin/fleet/vehicles/add']">Add
                                                New Record</button>
                                        </ng-container>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="ibox-content">
                        <div class="table-responsive">
                            <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive zoom">
                                <thead>
                                    <tr>
                                        <th scope="col" (click)="sort('_id')">ID
                                            <span>
                                                <i aria-hidden="true" class="fa fa-sort-asc fa_custom up"
                                                    [ngClass]="{'sorted-color': sortOrder=='desc' && key =='_id' }"></i>
                                                <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"
                                                    [ngClass]="{'sorted-color': sortOrder=='asc' && key =='_id' }"></i>
                                            </span>
                                        </th>
                                        <th scope="col">Registration Number</th>
                                        <th scope="col">Licence Number</th>
                                        <th scope="col" (click)="sort('display_name')">Display Name
                                            <span>
                                                <i aria-hidden="true" class="fa fa-sort-asc fa_custom up"
                                                    [ngClass]="{'sorted-color': sortOrder=='desc' && key =='display_name' }"></i>
                                                <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"
                                                    [ngClass]="{'sorted-color': sortOrder=='asc' && key =='display_name' }"></i>
                                            </span>
                                        </th>
                                        <th scope="col">Vehicle Model </th>
                                        <th scope="col">Insurance Expiry Date</th>
                                        <th scope="col">Plate Number</th>
                                        <th scope="col">Plate Type</th>
                                        <th scope="col">Vehicle Identity Number</th>
                                        <th scope="col">Vehicle color</th>
                                        <th scope="col">Credit Card Machine</th>
                                        <th scope="col">Status</th>
                                        <th scope="col">Additional Service</th>
                                        <th scope="col">Date</th>
                                        <th scope="col" *ngIf="aclEdit || aclDelete">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <span *ngIf="showLoader">
                                        <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                                    </span>
                                    <tr *ngFor="let vehicle of vehicleData">
                                        <td>{{vehicle.vehicle_unique_id}}</td>
                                        <td>{{vehicle.registration_number}}</td>
                                        <td>{{vehicle.licence_number}}</td>
                                        <td>{{vehicle.display_name}}</td>
                                        <td>{{vehicle.vehicle_model_id ? vehicle.vehicle_model_id.name : ''}}</td>
                                        <td>
                                            <span *ngIf="vehicle.insurance_expiration_date">{{vehicle.insurance_expiration_date|
                                                date }}</span>
                                        </td>
                                        <td>{{vehicle.plate_number? vehicle.plate_number: 'N/A'}}</td>
                                        <td>{{vehicle.plate_type}}</td>
                                        <td>{{vehicle.vehicle_identity_number ? vehicle.vehicle_identity_number :
                                            'N/A'}}</td>
                                        <td>{{vehicle.vehicle_color}}</td>
                                        <td>{{vehicle.credit_card ? vehicle.credit_card : 'Not Added'}}</td>
                                        <td>
                                            <div style="min-width:150px;text-align: center;">
                                                <span *ngIf="!vehicle.vehicle_status"
                                                    style="color: green"><strong>Active</strong></span>
                                                <span *ngIf="vehicle.vehicle_status=='A'"
                                                    style="color: green"><strong>Active</strong></span>
                                                <span *ngIf="vehicle.vehicle_status=='D'"
                                                    style="color: red"><strong>Disposed</strong></span>
                                                <span *ngIf="vehicle.vehicle_status=='M'"
                                                    style="color: olive"><strong>Maintainance</strong></span>
                                                <span *ngIf="vehicle.vehicle_status=='AC'"
                                                    style="color: orange"><strong>Accident</strong></span>
                                                <span *ngIf="vehicle.vehicle_status=='Y'"
                                                    style="color: grey"><strong>In Yard</strong></span>
                                                <div style="margin:5px;">
                                                    <button [disabled]="aclVehicleStatus" class="btn btn-sm btn-primary"
                                                        (click)="openChangeStatusDialog(vehicle)">Change</button>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <button class="btn btn-sm btn-primary"
                                                (click)="openEditDialog(vehicle)">Edit
                                                Add. Service</button>
                                        </td>
                                        <td>{{vehicle.updated_at | date }}</td>
                                        <td>
                                            <span *ngIf="aclEdit" matTooltip="Edit">
                                                <a [routerLink]="['/admin/fleet/vehicles/edit/', vehicle._id]">
                                                    <i aria-hidden="true" class="fa fa-edit text-navy"></i>
                                                </a>
                                            </span> &nbsp; &nbsp;&nbsp;
                                            <span *ngIf="aclDelete" matTooltip="Delete">
                                                <a (click)="openDialog(vehicle._id)">
                                                    <i aria-hidden="true" class="fa fa-trash text-navy"></i>
                                                </a>
                                            </span>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                            <div class="container-fluid" *ngIf="vehicleLength==0 ">
                                <div class="row">
                                    <div class="dataTables_info1">
                                        <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                                            No records found
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <br>
                        <div class="container-fluid" *ngIf="vehicleLength>0">
                            <div class="row col-md-12 text-center">
                                <div class="dataTables_info1">
                                    <div *ngIf="del">
                                        <ngb-pagination [collectionSize]="vehicleLength"
                                            (pageChange)="pagingAgent($event)" [(page)]="pNo" [pageSize]="pageSize"
                                            aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                                        </ngb-pagination>
                                    </div>
                                    <div *ngIf="!del">
                                        <ngb-pagination [collectionSize]="vehicleLength"
                                            (pageChange)="pagingAgent($event)" [(page)]="pNo" [pageSize]="pageSize"
                                            aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                                        </ngb-pagination>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>